aboutsummaryrefslogtreecommitdiffstats
path: root/csit/scripts/sdnr/docker-compose/wait-for-sdnc.sh
diff options
context:
space:
mode:
authordemskeq8 <alexander.dehn@highstreet-technologies.com>2023-09-04 17:59:57 +0200
committerdemskeq8 <alexander.dehn@highstreet-technologies.com>2023-09-08 13:17:12 +0200
commit5f9f3ccf917d91e2af7f29a467a451d6274912a7 (patch)
tree317766a771fa6e74dc549cdbce7c7affa97586d7 /csit/scripts/sdnr/docker-compose/wait-for-sdnc.sh
parent8fc94e40c76df15d369300ba70267ab1f844f3c1 (diff)
[CSIT] update SDNR tests for mariaDB based sdnrdb
update SDNC test image deploy sdnc-web-image for sdnr test setup add healthcheck add basic odlux tests Issue-ID: SDNC-1820 Change-Id: Ib89d097f301bfe4803bf3006549bee9a78fb6c19 Signed-off-by: demskeq8 <alexander.dehn@highstreet-technologies.com>
Diffstat (limited to 'csit/scripts/sdnr/docker-compose/wait-for-sdnc.sh')
-rwxr-xr-xcsit/scripts/sdnr/docker-compose/wait-for-sdnc.sh30
1 files changed, 30 insertions, 0 deletions
diff --git a/csit/scripts/sdnr/docker-compose/wait-for-sdnc.sh b/csit/scripts/sdnr/docker-compose/wait-for-sdnc.sh
new file mode 100755
index 00000000..26302622
--- /dev/null
+++ b/csit/scripts/sdnr/docker-compose/wait-for-sdnc.sh
@@ -0,0 +1,30 @@
+#!/bin/sh
+# wait-for-sdnc.sh
+# *******************************************************************************
+# * ============LICENSE_START========================================================================
+# * Copyright (C) 2023 highstreet technologies GmbH Intellectual Property. All rights reserved.
+# * =================================================================================================
+# * Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except
+# * in compliance with the License. You may obtain a copy of the License at
+# *
+# * http://www.apache.org/licenses/LICENSE-2.0
+# *
+# * Unless required by applicable law or agreed to in writing, software distributed under the License
+# * is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express
+# * or implied. See the License for the specific language governing permissions and limitations under
+# * the License.
+# * ============LICENSE_END==========================================================================
+set -e
+
+url="$1"
+shift
+cmd="$@"
+
+while [ "$(curl -s -o /dev/null -w ''%{http_code}'' $url)" != "200" ]; do
+ >&2 echo "sdnc is not ready - sleeping"
+ sleep 1
+done
+
+>&2 echo "sdnc is up - executing command"
+exec $cmd
+